from machine import Pin, PWM
import time
f=1000
LF = PWM(Pin(2), f)
LB = PWM(Pin(14), f)
RF = PWM(Pin(12), f)
RB = PWM(Pin(13), f)

LF.duty(0)
LB.duty(0)
RF.duty(0)
RB.duty(0)

def goForward(t,speed):
    RF.duty(speed)
    LF.duty(speed-35)
    time.sleep(t)
    stopEngine()
def goBack(t,speed):
    RB.duty(speed)
    LB.duty(speed-35)
    time.sleep(t)
    stopEngine()
def goRight(t,speed):
    LF.duty(speed-35)
    time.sleep(t)
    stopEngine()
def goLeft(t,speed):
    RF.duty(speed)
    time.sleep(t)
    stopEngine()
def turnRight(t,speed):
    LF.duty(speed-35)
    RB.duty(speed)
    time.sleep(t)
    stopEngine()
def turnLeft(t,speed):
    LB.duty(speed-35)
    RF.duty(speed)
    time.sleep(t)
    stopEngine()
def curveRight(t,turn):
    LF.duty(1000-35)
    RF.duty(1000-turn)
    time.sleep(t)
    stopEngine()
def curveLeft(t,turn):
    RF.duty(1000)
    LF.duty(1000-35-turn)
    time.sleep(t)
    stopEngine()
def stopEngine():
    RF.duty(0)
    LF.duty(0)
    RB.duty(0)
    LB.duty(0)


